Plug 'preservim/nerdtree', { 'on':  'NERDTreeToggle', 'tag': '6.9.8' }

" Close all open buffers on entering a window if the only
" buffer that's left is the NERDTree buffer
function! s:CloseIfOnlyNerdTreeLeft()
    if exists("t:NERDTreeBufName") &&
    \   bufwinnr(t:NERDTreeBufName) != -1 &&
    \   winnr("$") == 1
        quit
    endif
endfunction

let g:NERDTreeDirArrowExpandable = '▸'
let g:NERDTreeDirArrowCollapsible = '▾'

let NERDTreeDirArrows=1
let NERDTreeIgnore = ['\.pyc$', '\.swp$']

map <leader>nt :NERDTreeToggle<CR>
autocmd WinEnter * call s:CloseIfOnlyNerdTreeLeft()
